<?php

use yii\db\Migration;

/**
 * Class m220310_234138_inicio
 */
class m220310_234138_inicio extends Migration {

  /**
   * {@inheritdoc}
   */
  public function safeUp() {

    $this->createTable('Usuario', [
      "id" => $this->string(36),
      "correo" => $this->string(100)->notNull(),
      "clave" => $this->string(100)->notNull(),
      "nombre" => $this->string(100)->notNull(),
      "estatus" => $this->smallInteger()->comment("0:inactivo, 1:activo"),
      "telefono" => $this->string(100)->notNull(),
      "alias" => $this->string(100),
      "foto" => $this->string(300),
      "rol" => $this->string(100)->notNull(),
      "creado" => $this->timestamp(). " with time zone",
      "modificado" => $this->timestamp(). " with time zone",
      "eliminado" => $this->timestamp(). " with time zone",
    ]);

    $this->addPrimaryKey("UsuarioPK", "Usuario", "id");

    $this->createTable('Media', [
      "id" => $this->string(36),
      "idUsuario" => $this->string(36),
      "nombre" => $this->string(100)->notNull(),
      "size" => $this->string(100),
      "mimetype" => $this->string(100),
      "ruta" => $this->string(100),
      "descripcion" => $this->string(500),
      "creado" => $this->timestamp(). " with time zone",
      "modificado" => $this->timestamp(). " with time zone",
      "eliminado" => $this->timestamp(). " with time zone",
    ]);

    $this->addPrimaryKey("MediaPK", "Media", "id");
    $this->addForeignKey("MediaIdUsuarioFK", "Media", "idUsuario", "Usuario", "id");

  }

  /**
   * {@inheritdoc}
   */
  public function safeDown() {
    $this->dropTable('Media');
    $this->dropTable('Usuario');
  }

}
