<?php

use yii\db\Migration;

/**
 * Class m240812_172947_HerramientaObra
 */
class m240812_172947_HerramientaObra extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('HerramientaObra', [
            "id" => $this->string(36),
            "idEmpleado" => $this->string(36),
            "idHerramienta" => $this->string(36),
            "idObra" => $this->string(36),
            "comentario" => $this->string(100),
            "creado" => $this->timestamp()->append(" with time zone"),
            "modificado" => $this->timestamp()->append(" with time zone"),
            "eliminado" => $this->timestamp()->append(" with time zone"),
          ]);
          $this->addPrimaryKey("HerramientaObraPK", "HerramientaObra", "id");
    
          $this->addForeignKey("HerramientaObraEmpleadoFK", "HerramientaObra", "idEmpleado", "Empleado", "id");
          $this->addForeignKey("HerramientaObraHerramientaFK", "HerramientaObra", "idHerramienta", "Herramienta", "id");
          $this->addForeignKey("HerramientaObraObraFK", "HerramientaObra", "idObra", "Obra", "id");
 
        }

  

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey("HerramientaObraEmpleadoFK", "HerramientaObra");
        $this->dropForeignKey("HerramientaObraHerramientaFK", "HerramientaObra");
        $this->dropForeignKey("HerramientaObraObraFK", "HerramientaObra");

        $this->dropTable('HerramientaObra');
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240812_172947_HerramientaObra cannot be reverted.\n";

        return false;
    }
    */
}
