<?php

use yii\db\Migration;

/**
 * Class m240819_222359_tabla_media_vehiculo
 */
class m240819_222359_tabla_media_vehiculo extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable("MediaVehiculo", [
            "id" => $this->string(36),
            "idMedia" => $this->string(36),
            "idVehiculo" => $this->string(36),
            "tipo" => $this->string(50),
            "creado" => $this->timestamp()->append("with time zone"),
            "modificado" => $this->timestamp()->append("with time zone"),
            "eliminado" => $this->timestamp()->append("with time zone"),
        ]);

        $this->addPrimaryKey('MediaVehiculoPK', 'MediaVehiculo', 'id');

        $this->addForeignKey('MediaVehiculoMediaFK', 'MediaVehiculo', 'idMedia', 'Media', 'id');
        $this->addForeignKey('MediaVehiculoVehiculoFK', 'MediaVehiculo', 'idVehiculo', 'Vehiculo', 'id');
    
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey('MediaVehiculoVehiculoFK', 'MediaVehiculo');
        $this->dropForeignKey('MediaVehiculoMediaFK', 'MediaVehiculo');

        $this->dropTable('MediaVehiculo');
    }
}
