<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Vehiculo".
 *
 * @property string $id
 * @property string|null $nombre
 * @property string|null $fechaAlta
 * @property boolean|null $estatus
 * @property string|null $descripcion
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 */
class Empleado extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Empleado';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id','nombre'], 'required'],
            [['fechaAlta','creado', 'modificado', 'eliminado'], 'safe'],
            [['estatus'],'boolean'],
            [['id'], 'string', 'max' => 36],
            [['nombre','descripcion'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'fechaAlta' => 'Fecha Alta',
            'estatus' => 'Estatus',
            'descripcion' => 'Descripcion',
            'creado'=>'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
