<?php
namespace app\models;
use Yii;

/**
 * This is the model class for table "HerramientaObra"
 * 
 * @property string $id
 * @property string $idEmpleado
 * @property string $idHerramienta
 * @property string $idObra
 * @property string|null comentario
 * 
 * @property Empleado $idEmpleado
 * @property Herramienta $idHerramienta
 * @property Obra $idObra
 * 
 */
class HerramientaObra extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'HerramientaObra';
    
    }
     /**
     * {@inheritdoc}
     */
    public function rules(){
        return[
            [['id','idEmpleado', 'idHerramienta','idObra'],'required'],
            [['comentario'],'string', 'max'=>100],
            [['creado', 'modificado','eliminado'],'safe'],
            [['id','idEmpleado', 'idHerramienta','idObra'],'string', 'max'=>36],
            [['idEmpleado'], 'exist', 'skipOnError' => true, 'targetClass' => Empleado::class, 'targetAttribute' => ['idEmpleado' => 'id']],
            [['idHerramienta'], 'exist', 'skipOnError' => true, 'targetClass' => Herramienta::class, 'targetAttribute' => ['idHerramienta' => 'id']],
            [['idObra'], 'exist', 'skipOnError' => true, 'targetClass' => Obra::class, 'targetAttribute' => ['idObra' => 'id']],
        ];
    }
    
    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id'=>'ID',
            'idEmpleado'=>'ID Empleado',
            'idHerramienta'=>'ID Herramienta',
            'idObra'=>'ID Obra',
            'comentario'=>'Comentario',
        ];
    }


    
    /**
     * Gets query for [[IdEmpleado]].
     *
     * @return \yii\db\ActiveQuery
     * 
     */
    public function getEmpleado()
    {
        return $this->hasOne(Empleado::class, ['id' => 'idEmpleado']);
    }

    
    
    /**
     * Gets query for [[IdHerramienta]].
     *
     * @return \yii\db\ActiveQuery
     * 
     */
    public function getHerramienta()
    {
        return $this->hasOne(Herramienta::class, ['id' => 'idHerramienta']);
    }

    
    
    /**
     * Gets query for [[IdObra]].
     *
     * @return \yii\db\ActiveQuery
     * 
     */
    public function getObra()
    {
        return $this->hasOne(Obra::class, ['id' => 'idObra']);
    }
}