<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "MediaVehiculo".
 *
 * @property string $id
 * @property string|null $idMedia
 * @property string|null $idVehiculo
 * @property string|null $tipo
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 *
 * @property Media $idMedia0
 * @property Vehiculo $idVehiculo0
 */
class MediaVehiculo extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'MediaVehiculo';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idMedia', 'idVehiculo'], 'string', 'max' => 36],
            [['tipo'], 'string', 'max' => 50],
            [['id'], 'unique'],
            [['idMedia'], 'exist', 'skipOnError' => true, 'targetClass' => Media::class, 'targetAttribute' => ['idMedia' => 'id']],
            [['idVehiculo'], 'exist', 'skipOnError' => true, 'targetClass' => Vehiculo::class, 'targetAttribute' => ['idVehiculo' => 'id']],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idMedia' => 'Id Media',
            'idVehiculo' => 'Id Vehiculo',
            'tipo' => 'Tipo',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }

    /**
     * Gets query for [[IdMedia0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getMedia()
    {
        return $this->hasOne(Media::class, ['id' => 'idMedia']);
    }

    /**
     * Gets query for [[IdVehiculo0]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getVehiculo()
    {
        return $this->hasOne(Vehiculo::class, ['id' => 'idVehiculo']);
    }
}
