<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "Taller".
 *
 * @property string $id
 * @property string $nombre
 * @property string $direccion
 * @property string $mecanico
 * @property string|null $descripcion
 * @property string|null $telefono
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 */
class Taller extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'Taller';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id', 'nombre', 'direccion', 'mecanico'], 'required'],
            [['descripcion'], 'string'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id'], 'string', 'max' => 36],
            [['nombre', 'direccion', 'mecanico'], 'string', 'max' => 100],
            [['telefono'], 'string', 'max' => 10],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'direccion' => 'Direccion',
            'mecanico' => 'Mecanico',
            'descripcion' => 'Descripcion',
            'telefono' => 'Telefono',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
