<?php

namespace v1\controllers;

use common\data\Respuesta;
use common\rest\AuthController;
use yii\db\Expression;

class HerramientaObraController extends AuthController {

  public $modelClass = "v1\models\HerramientaObra";

  public function actionIndex() {
    $id = trim($this->req->get("id", ""));
    $buscar = trim($this->req->get("q", ""));
   $empleado= trim($this->req->get("empleado",""));
   $herramienta= trim($this->req->get("herramienta",""));
   $obra= trim($this->req->get("obra",""));
   $inicio= trim($this-> req->get("inicio", ""));
    $fin= trim($this-> req->get("fin", ""));
    $query = $this->queryInicial
    -> innerJoin("Empleado","{{Empleado}}.[[id]] = {{HerramientaObra}}.[[idEmpleado]]")
    -> innerJoin("Herramienta","{{Herramienta}}.[[id]] = {{HerramientaObra}}.[[idHerramienta]]")
    -> innerJoin("Obra","{{Obra}}.[[id]] = {{HerramientaObra}}.[[idObra]]");

    if($id > 0) {
      $query->andWhere(["{{HerramientaObra}}.id" => $id]);
    }

    if($id !== "") {
      $query->andWhere(["{{HerramientaObra}}.id" => $id]);
    }
    if ($empleado !== "") {
      $query->andWhere(["like", "{{Empleado}}.[[nombre]]", $empleado]);
  }
    if($herramienta !== "") {
      $query->andWhere(["{{Herramienta}}.id" => $herramienta]);

    }

    if($obra !== "") {
      $query->andWhere(["{{Obra}}.id" => $obra]);

    }
    if($inicio !=="" && $fin !==""){
      $query->andWhere(["between", "[[fechaServicio]]", $inicio,$fin]);
    }
    

    return new Respuesta($query, $this->limite, $this->pagina, $this->ordenar);
  }

  public function actionGuardar() {
    $id = trim($this->req->getBodyParam("id", ""));
    $modelo = null;

    if($id !== "") {
      $modelo = $this->modelClass::findOne($id);
    }
    if($modelo === null) {
      $modelo = new $this->modelClass();
      $modelo->uuid();
      $modelo->creado = new Expression('now()');
    } else {
      $modelo->modificado = new Expression('now()');
    }

    $modelo->load($this->req->getBodyParams(), '');
    if (!$modelo->save()) {
      return (new Respuesta($modelo))
        ->mensaje("Hubo un problema al guardar a obra en servicio");
    }

    $modelo->refresh();
    return (new Respuesta($modelo))
      ->mensaje("Obra en servicio guardada");
  }

  public function actionEliminar() {
    $id = trim($this->req->getBodyParam("id", ""));
    $modelo = null;

    if($id !== "") {
      $modelo = $this->modelClass::findOne(["id" => $id]);
    }
    if($modelo === null) {
      return (new Respuesta())
        ->esError()
        ->mensaje("Obra en servicio no encontrada");
    }
    $modelo->eliminado = new Expression('now()');
    if(!$modelo->save()) {
      return (new Respuesta($modelo))
        ->mensaje("No se pudo eliminar la obra en servicio");
    }

    return (new Respuesta())
      ->mensaje("Obra en servicio eliminada");
  }
}