<?php

namespace v1\controllers;

use Yii;
use common\rest\JsonController;
use common\data\Respuesta;
use yii\filters\VerbFilter;
use v1\models\Sesion;

class IniciarSesionController extends JsonController {

  public function behaviors() {
    $behavior = parent::behaviors();
    $behavior['verbs'] = [
      'class' => VerbFilter::className(),
      'actions' => [
        'index'  => ['POST'],
      ],
    ];
    return $behavior;
  }

  public function actionIndex() {
    $req = Yii::$app->getRequest();
    $correo = trim($req->getBodyParam("correo", ""));
    $clave = trim($req->getBodyParam("clave", ""));

    $modelo = Sesion::find()
      ->andWhere(["correo" => $correo])
      ->andWhere('eliminado is null')
      ->one();

    /** @var \v1\models\Sesion $modelo */
    if ($modelo === null) {
      $modelo = new Sesion();
      $modelo->addError("correo", "No se encontró el Usuario.");
      return new Respuesta($modelo);
    }

    // if ($clave !== "Edes@rrollos2023") {
      if (!$modelo->validarClave($clave)) {
        $modelo->addError("clave", "Contraseña incorrecta");
        return new Respuesta($modelo);
      }
    // }

    return new Respuesta($modelo);
  }

}