<?php

namespace v1\models;

use app\models\Servicio as ModeloServicio;
use app\models\ServicioElemento;
use app\models\Taller;
use app\models\Vehiculo;
use app\models\TipoServicio;
class Servicio extends ModeloServicio {

    public function fields() {
        return [
            'id',
            'factura',
            'descripcion',
            'fechaServicio',
            'idTaller',
            'idVehiculo',
            'idTipo',
            'creado',
            'modificado',
        ];
    }

    public function extraFields() {
        return [
            'taller',
            'vehiculo',
            'tipoServicio',
            'servicioElemento'
        ];
    }

    public function getTaller() {
        return $this->hasOne(Taller::class, ['id' => 'idTaller']);
    }

    public function getVehiculo() {
        return $this->hasOne(Vehiculo::class, ['id' => 'idVehiculo']);
    }
    public function getTipoServicio() {
        return $this->hasOne(TipoServicio::class, ['id' => 'idTipo']);
    }
    public function getServicioElemento()
    {
        return $this->hasMany(ServicioElemento::class, ['idServicio' => 'id']);
    }
}
