<?php

namespace v1\models;

use app\models\Color;
use app\models\Vehiculo as ModeloVehiculo;
use app\models\Marca;
use app\models\TipoAuto;

class Vehiculo extends ModeloVehiculo {

  public function fields() {
    return [
      'id',
      'nombre',
      'ano',
      'idColor',
      'idTipo',
      'idMarca',
      'placa',
      'serie',
      'creado',
      'descripcion',
      'modificado',
    ];
  }
  public function extraFields() {
    return [
      'marca',
      'color',
      'tipoAuto',
      'media',
      'mediaVehiculo',
    ];
  }

  public function getMarca() {
    return $this->hasOne(Marca::class, ['id' => 'idMarca']);
  }

  public function getTipo() {
    return $this->hasOne(TipoAuto::class, ['id' => 'idTipo']);
  }

  public function getColor() {
    return $this->hasOne(Color::class, ['id' => 'idColor']);
  }

  public function getMediaVehiculo() {
    return $this->hasMany(MediaVehiculo::class, ['idVehiculo' => 'id']);
  }

  public function getServicio() {
    return $this->hasMany(Servicio::class, ['idVehiculo' => 'id']);
  }

  public function getMedia() {
    return $this->hasMany(Media::class, ['idMedia' => 'id'])
      ->viaTable('MediaVehiculo', ['idVehiculo' => 'idVehiculo']);
  }
}
